#!/usr/bin/env python3
# -*- coding: utf-8 -*-
import utils

CONTENT = [
    "https://www.ubicast.eu/media/downloads/TradeshowDemoKit/medical_education.zip",
    "https://www.ubicast.eu/media/downloads/TradeshowDemoKit/rich-media-sneak-peek.zip"
]


def setup(interactive=True):
    cmds = list()
    options = {
        "ms_url": utils.get_conf('MS_SERVER_NAME'),
        "ms_apikey": utils.get_conf('MS_API_KEY')
    }
    cmd_template = "./publish_zip_by_url.py -w {ms_url} -u %s -a {ms_apikey}".format(**options)
    for c in CONTENT:
        cmd = cmd_template % c
        cmds.append(cmd)

    utils.run_commands(cmds)
